Subject: Re: bug#35261: 26.1; EBDB Documentation

From: David Masterson <[email-masked]>
Date: Fri, 19 Apr 2019 22:31:51 +0000

Eric Abrahamsen <[email-masked]> writes:

> On 04/17/19 03:41 AM, David Masterson wrote:

>> Beyond this, I can see that lots of documentation (and, I assume,
>> functionality) is still needed:
>>
>> 1. Installation details of EBDB and related tools.
>> 2. Details on what type of records a database is composed of.
>> 3. Details on the fields of a record.
>> 4. Details on the type of a field.
>> 5. Import/Export functionality
>> 6. Hooks for add-ons
>>
>> * By 'details', I mean some Emacs Elisp and not just English to give us
>>   real reference information.
>
> EBDB is only just stabilizing (the export stuff went through some big
> refactoring just recently) and I'm a little hesitant to lay all this
> stuff out in the manual. One of the long-term goals is definitely to
> make EBDB programmable and integratable with other packages, but I'm
> dragging my feet a little bit until I'm more confident that the API
> won't change. It'll get there, though.

Okay.  Mostly consider #1 with:

* Installation as a package (and via savanah?)
* How to get help if needed (bug reports)
* Other packages to install/Use (Org and Gnus)

A primer as applies to EBDB for #2, #3, and #4 would be nice.